diff Resources/Builders/MinGW64-Python3.12/docker-internal.sh @ 160:a5162d8bd2d4

Added Windows builder for Python 3.12
author Sebastien Jodogne <s.jodogne@gmail.com>
date Thu, 16 May 2024 22:50:11 +0200
parents
children bf43db559950
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Resources/Builders/MinGW64-Python3.12/docker-internal.sh	Thu May 16 22:50:11 2024 +0200
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -ex
+
+mkdir /tmp/source-writeable
+
+cp -r /source/CMakeLists.txt /tmp/source-writeable/
+cp -r /source/Sources /tmp/source-writeable/
+cp -r /source/Resources /tmp/source-writeable/
+
+mkdir /tmp/build
+cd /tmp/build
+
+wget https://orthanc.uclouvain.be/downloads/third-party-downloads/Python/python-3.12.3-win64.zip
+unzip python-3.12.3-win64.zip
+
+if [ "$1" == "Release" ]; then
+    LIBRARY_NAME=python311.lib
+else
+    LIBRARY_NAME=python311_d.lib
+fi
+
+cmake /tmp/source-writeable/ \
+      -DCMAKE_BUILD_TYPE=$1 \
+      -DSTATIC_BUILD=ON \
+      -DPYTHON_VERSION=3.11 \
+      -DPYTHON_LIBRARY_NAME=${LIBRARY_NAME} \
+      -DPYTHON_WINDOWS_ROOT=/tmp/build/python-3.12.3-win64 \
+      -DCMAKE_TOOLCHAIN_FILE=/source/Resources/Orthanc/Toolchains/MinGW-W64-Toolchain64.cmake \
+      -DCMAKE_INSTALL_PREFIX=/target 
+
+make -j`nproc`
+
+if [ "$1" == "Release" ]; then
+    x86_64-w64-mingw32-strip ./libOrthancPython.dll
+fi
+
+make install